Subject: RE: [mobile-ip] Mipv6 issue #162: Site-locals & Mipv6

From: [email-masked]
Date: Tue, 26 Nov 2002 17:41:53 -0600

> 
> It seems like we can develop a site-local for disconnected domains,
> but the details are consuming time and we seem to hit complications
> every time we come up with a text that we initially believed to be
> right. Hence, I'd like to take the management viewpoint here and
> propose that we deal with site-locals only in the absolute minimal
> manner in the base specification. (Note that future documents might
> provide extended information about the use of site-locals.) This
> approach also seems wise given the unclarity around the direction
> of the site-local addresses in the IPv6 WG.

The details of getting the site-local specifications right can 
potentially drag out further getting the base Mobile IPv6 spec
before the IESG. I agree with your recommendation for dealing with
site-local in the base spec. If someone needs MIPv6 with site-local,
they could start work on that in a separate I-D.

> 
> Still with me? Here's what I'd like to do in more detail:
> 
> 1) Say that site-local addresses SHOULD NOT be used as home
>     or care-of addresses.
> 
> 2) List a number of issues that may result when site-locals are
>     used against the above advice. Indicate that site-local addresses
>     may be usable on disconnected sites, but that this specification
>     does not guarantee such usage is free of problems.
> 
> 3) In Section 11.3.1 we still need to have some updated text
>     about site-local and link-local addresses. Basically, we
>     need to avoid the use of the home address when communicating
>     with anything else than a global address. This is because
>     we can't guarantee that the link-local or the site-local addresses
>     of a visited link have any meaning to our home site.
> 
> Jari
> 
>